> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Settlements

> This API can be used to get all the settlements of the partner.



## OpenAPI

````yaml /api-reference/Settlements/settlements.json post /settlement/v1.0/getAllSettlements
openapi: 3.0.3
info:
  title: Settlement API
  description: API's to get settlement information.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /settlement/v1.0/getAllSettlements:
    post:
      tags:
        - Settlement
      summary: Get All Settlements
      description: This API can be used to get all the settlements of the partner.
      operationId: getAllSettlements
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  description: Different filters can be applied to query the settlements.
                  properties:
                    fromDate:
                      type: string
                      description: Start date for filtering settlements.
                    toDate:
                      type: string
                      description: End date for filtering settlements.
                    status:
                      type: string
                      enum:
                        - PROCESSING
                        - PENDING
                        - CANCELLED
                        - SUCCESS
                      description: To filter according to the status of the settlement.
                page:
                  type: integer
                  minimum: 1
                  default: 1
                  description: >-
                    To use for pagination. The default value is 1 and the
                    accepted value is only greater than or equal to 1.
      responses:
        '200':
          description: All the settlements of the partner.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getAllsettlements'
components:
  schemas:
    getAllsettlements:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: array
          description: All the settlements
          items:
            type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.